Get Product

Get Product
Retrieves products

Retrieves one or more products from the Usage Meter.

Request
URI
GET
https://umip/api/v1/product
COPY
Query Parameters
productType
Optional

Required only if other query parameters (For example, 'id') are also specified

integer
id
Optional
Constraints: minimum: 1

Product ID, obtained from Add /product API response

boolean
active
Optional

Include only the active products - newly added products are by default active.

boolean
meter
Optional

Include only the products being metered - metering starts when product certificates are accepted.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "externalSSO": false,
        "extSSOport": 0,
        "k8sMetric": "vRAM",
        "lastChanged": 1590440036260,
        "active": true,
        "fullName": "vCenter",
        "version": "6.5.0",
        "extSSOhost": null,
        "port": 443,
        "srmMetered": false,
        "instanceUUID": "7b9e4666-573f-4f31-a562-297de0038931",
        "host": "10.153.16.7",
        "metered": true,
        "id": 1,
        "vcfEdition": "None",
        "user": "admin",
        "productType": "vCenter",
        "status": {
            "code": "OK",
            "lastChanged": 1590522945859,
            "text": "OK"
        }
    },
    {
        "port": 443,
        "lastChanged": 1590522785879,
        "host": "10.168.15.1",
        "active": true,
        "metered": true,
        "id": 5,
        "version": "6.4.6",
        "user": "admin",
        "productType": "NSX-V",
        "vcId": 1,
        "status": {
            "code": "OK",
            "lastChanged": 1590522795827,
            "text": "OK"
        }
    }
]

400

For example, query param ProductType is missing or invalid, or its value is invalid

Returns Error of type(s) application/json
{
    "errCode": "string",
    "errMessage": "string"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


401

Provided access token is missing or invalid.

Operation doesn't return any data structure

502

For example, product with the specified 'ProductType' and 'id' is not found

Returns Error of type(s) application/json
{
    "errCode": "string",
    "errMessage": "string"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/product